Bug 1320082 - qrc:/liveusb.qml:5 module "QtGraphicalEffects" is not installed
Summary: qrc:/liveusb.qml:5 module "QtGraphicalEffects" is not installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1310542
TreeView+ depends on / blocked
 
Reported: 2016-03-22 09:47 UTC by Kamil Páral
Modified: 2016-09-20 02:47 UTC (History)
5 users (show)

Fixed In Version: liveusb-creator-3.93.3-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-26 16:34:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1319915 None None None Never

Internal Links: 1319915

Description Kamil Páral 2016-03-22 09:47:35 UTC
Description of problem:

$ sudo liveusb-creator
QQmlApplicationEngine failed to load component
qrc:/liveusb.qml:5 module "QtGraphicalEffects" is not installed

Traceback (most recent call last):
  File "/bin/liveusb-creator", line 106, in <module>
    main()
  File "/bin/liveusb-creator", line 100, in main
    LiveUSBApp(opts, sys.argv)
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 883, in __init__
    engine.rootObjects()[0].show()
IndexError: list index out of range


This is Fedora 22. It seems some dependency is missing from the spec file.

Version-Release number of selected component (if applicable):
liveusb-creator-3.91.0-1.fc22.noarch

Comment 1 Chris Murphy 2016-03-22 20:23:38 UTC
Same problem on Fedora 23.

$ sudo /usr/bin/liveusb-creator
QQmlApplicationEngine failed to load component
qrc:/liveusb.qml:5 module "QtGraphicalEffects" is not installed

Traceback (most recent call last):
  File "/usr/bin/liveusb-creator", line 106, in <module>
    main()
  File "/usr/bin/liveusb-creator", line 100, in main
    LiveUSBApp(opts, sys.argv)
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 883, in __init__
    engine.rootObjects()[0].show()
IndexError: list index out of range


$ sudo dnf install qt5-qtgraphicaleffects.x86_64

Now it launches.

Comment 2 Luke Macken 2016-04-05 22:29:13 UTC
Fixed upstream. https://github.com/lmacken/liveusb-creator/pull/40

Comment 3 Fedora Update System 2016-04-11 16:20:09 UTC
liveusb-creator-3.92.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 4 Fedora Update System 2016-04-12 10:52:39 UTC
liveusb-creator-3.92.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 5 Fedora Update System 2016-04-21 16:12:13 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 6 Fedora Update System 2016-04-21 21:58:57 UTC
liveusb-creator-3.93.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 7 Kamil Páral 2016-04-22 07:37:45 UTC
deps fixed

Comment 8 Fedora Update System 2016-04-22 17:06:31 UTC
liveusb-creator-3.93.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 9 Fedora Update System 2016-04-24 01:25:07 UTC
liveusb-creator-3.93.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 10 Fedora Update System 2016-04-26 08:13:19 UTC
liveusb-creator-3.93.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 11 Fedora Update System 2016-04-26 16:23:23 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 12 Fedora Update System 2016-04-26 16:32:55 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.